
DROP TABLE IF EXISTS scheme;

CREATE TABLE scheme (
        `version` INT NOT NULL,
        `created` DATETIME NOT NULL,
        PRIMARY KEY(version)
);

INSERT INTO `scheme` (version, created) VALUES ('1002', datetime('now'));

DROP TABLE IF EXISTS system;

CREATE TABLE system (
       `sid` INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
       `ip_addr` INT(11) NOT NULL DEFAULT 0,
       `name` CHAR(128) NOT NULL DEFAULT '',
       `first_tstamp` DATETIME DEFAULT NULL,
       `last_tstamp` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
       UNIQUE(ip_addr, name)
);

CREATE INDEX `idx_ip_addr_name` ON system(`ip_addr`, `name`);
CREATE INDEX `idx_first_tstamp` ON system(`first_tstamp`);
CREATE INDEX `idx_last_tstamp` ON system(`last_tstamp`);

DROP TABLE IF EXISTS system_details;

CREATE TABLE `system_details` (
       `sid` INT(10) NOT NULL DEFAULT '0',
       `ip_addr` INT(11) NOT NULL DEFAULT '0',
       `nat` VARCHAR(64) NOT NULL DEFAULT 'no/unknown',
       `ecn` VARCHAR(64) NOT NULL DEFAULT 'no/unknown',
       `firewall` VARCHAR(64) NOT NULL DEFAULT 'no/unknown',
       `lookup_link` VARCHAR(128) NOT NULL DEFAULT 'unknown',
       `distance` SMALLINT NOT NULL DEFAULT 255
);

CREATE INDEX `idx_detail_sid` ON system_details(`sid`);
CREATE INDEX `idx_ip_addr` ON system_details(`ip_addr`);

