
#ifndef __P0F_DB_H__
#define __P0F_DB_H__

#define _GNU_SOURCE

#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <netdb.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <pwd.h>
#include <grp.h>
#include <stdarg.h>
#include <stdio.h>
#include <pcap.h>
#include <signal.h>
#include <time.h>
#include <ctype.h>

#ifdef ENABLE_POSTGRESQL
#include <libpq-fe.h>
#endif

#ifdef ENABLE_MYSQL
#include <mysql.h>
#endif

#ifdef ENABLE_SQLITE
#include <sqlite3.h>
#endif

#include "fpentry.h"

#ifdef ENABLE_POSTGRESQL
void pdb_pgout(_u8 * a, _u16 sp, _u8 * os, _u8 * desc, struct timeval pts,
	       char *natAnswer, char *ecnAnswer, char *firewallAnswer,
	       char *lookupAnswer, _u16 distanceAnswer);
void pdb_pgconnect(const char *conninfo);
void pdb_pgdisconnect();
#endif

#ifdef ENABLE_MYSQL
void pdb_mysqlout(_u8 * a, _u16 sp, _u8 * os, _u8 * desc,
		  struct timeval pts, char *natAnswer, char *ecnAnswer,
		  char *firewallAnswer, char *lookupAnswer,
		  _u16 distanceAnswer);
void pdb_mysqlconnect(const char *conninfo);
void pdb_mysqldisconnect();
#endif

#ifdef ENABLE_SQLITE
void pdb_sqliteout(_u8 * a, _u16 sp, _u8 * os, _u8 * desc,
		   struct timeval pts, char *natAnswer, char *ecnAnswer,
		   char *firewallAnswer, char *lookupAnswer,
		   _u16 distanceAnswer);
void pdb_sqliteconnect(const char *conninfo);
void pdb_sqlitedisconnect();
#endif

void pdb_parseconfig();

#define PDB_QUERY_LEN 512
#define PDB_CONF_LINE_LEN 1024
#ifndef CHACK
#define PDB_CONF_FILE_NAME "/etc/p0f/p0f-db.conf"
#else
#define PDB_CONF_FILE_NAME "p0f-db.conf"
#endif

#define PDB_SCHEME_VERSION 1002

#endif				/* __P0F_DB_H__ */
